%define sname   crossfire-client

Name:           %{sname}-data
Version:        1.71.0
Release:        %mkrel 8
Summary:        Data files for Crossfire game client
Group:          Games/Adventure
License:        GPLv2+
URL:            http://crossfire.real-time.com/
Source0:        https://downloads.sourceforge.net/project/crossfire/%{sname}/%{version}/%{sname}-images-%{version}.tar.bz2

BuildArch:      noarch

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet.
It has multiplayer capability and presently runs under X11.

This package contains data files for Crossfire game clients.
It includes sound files and image cache.

%prep
%autosetup -c -T

%build

%install
# Extract cache images to buildroot
mkdir -p %{buildroot}%{_gamesdatadir}/%{sname}/
tar -xvf %{SOURCE0} -C %{buildroot}%{_gamesdatadir}/%{sname}/

%files
%dir %{_gamesdatadir}/%{sname}
%{_gamesdatadir}/%{sname}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.71.0-8.mga9
+ Revision: 1811638
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.71.0-7.mga8
+ Revision: 1526117
- Mageia 8 Mass Rebuild

* Fri Apr 26 2019 akien <akien> 1.71.0-6.mga7
+ Revision: 1395362
- Remove sounds, now provided by crossfire-client 1.73.0+

* Tue Sep 18 2018 umeabot <umeabot> 1.71.0-5.mga7
+ Revision: 1262089
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.71.0-4.mga6
+ Revision: 933592
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.71.0-3.mga5
+ Revision: 740146
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.71.0-2.mga5
+ Revision: 678594
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jun 04 2014 akien <akien> 1.71.0-1.mga5
+ Revision: 633072
- import source RPM based off OpenMandriva SRPM

